#ifndef CCLIENT_H
#define CCLIENT_H

#include <string>
#include "cbase.h"

class cclient : public cbase
{
 private:
   std::string rb,sb;
   bool connection;

 public:
   cclient(char* ip,unsigned short port);
   bool connected();
   void write_packet(int n,char* packet);
   void update();
   int read_packet(char* packet);
};

#endif
